/*----------------------------------------------------------------------------------+
|                                                                                   |
|                          Simple Print String                                      |
|                                                                                   |
| Name: printStr.c                                                                  |                                                            |
| Purpose:                                                                          |
|   Because, the puts function writes string followed by a newline character ('\n') |
|   to the output stream using the putchar function. It is no sense to use it for   |
|   non-RS232 device.So I write a new print string function..                       |
+----------------------------------------------------------------------------------*/

/*____________ I N C L U D E S ____________________________________________________*/

#include <reg51.h>
#include <stdio.h>

/*____________ F U N C T I O N ____________________________________________________*/

/*
	print string
*/
void printStr(char str[])
{
	// send a string stored in RAM
	// check to make sure we have a good pointer
	if (!str) return;

	// print the string until a null-terminator
	while (*str)
		putchar(*str++);
}



